Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface TradingPartnerMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface TradingPartnerMBean
extends TPMBaseMBean

This class represents a business entity that is authorized to send and receive business messages for a defined service.

See Also:
  `ServiceMBean`

Field Summary
`static String` | `DISABLED`
`static String` | `ENABLED`
`static String` | `LOCAL`
`static String` | `REMOTE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addCertificate(String name, String type, String password, boolean passwordEncrypted, String passwordAlias, String certFile, String keyFile, boolean importInKeyStore)` Add a certificate for the Trading Partner.
`void` | `addEBXMLBinding(String name, String businessProtocolName, String businessProtocolVersion, boolean isDefault, boolean isSignatureRequired, boolean isReceiptSignatureRequired, String deliverySematics, int retryCount, String retryInterval, String persistDuration)` Adds a EBXML Binding for this Trading Partner
`void` | `addExtendedPropertySet(String name, String description, String notes, String xml)` Adds a custom XML extensions for the TPM.
`void` | `addExtendedPropertySetInternal(String name, String description, String notes, Element xml)`
`void` | `addReferenceToEBXMLBinding(EBXMLBindingMBean mbean)` Internal Use Only - Adds a ebxml Binding
`void` | `addReferenceToRosettaNetBinding(RosettaNetBindingMBean mbean)` Internal Use Only - Adds a RosettaNet Binding
`void` | `addReferenceToWebServiceBinding(WebServiceBindingMBean mbean)` Internal Use Only - Adds a Web Service Binding
`void` | `addRosettaNetBinding(String name, String businessProtocolName, String businessProtocolVersion, boolean isDefault, boolean isSignatureRequired, boolean isReceiptSignatureRequired, String messageDigestAlgorithm, String ciperAlgorithm, String encryptionLevel, int retryCount, String retryInterval, String processTimeout)` Adds a Rosettanet Binding for this Trading Partner
`void` | `addWebServiceBinding(String name)` Adds a WebService Binding for this trading parner
`void` | `disable()` Internal Use Only - Retrieves the TPM Interface.
`void` | `enable()` Internal Use Only - Retrieves the TPM Interface.
`String` | `getAddress()` Contact address of the trading partner
`String` | `getBusinessId()` A business ID is used with a trading partner name to identify a party in message exchange.
`String` | `getBusinessIdType()` Meaningful name for the business ID.
`String` | `getDescription()` Retrieves the short textual description of this entity.
`String` | `getEmail()` Specifies the email address of the trading partner
`String` | `getFax()` Fax number for the trading partner
`String` | `getNotes()` Retrieves the additional description to of this entity.
`String` | `getPartnerName()` Returns the name of this Trading Partner.
`String` | `getPartnerType()` Specifies where the trading partner is hosted locally or represents an external remote trading partner.
`String` | `getPhone()` Contact phone number of the trading partner
`String` | `getStatus()` Specifies the status of the current partner profile.
`String` | `getWLUserName()` Name of the WebLogic Server users to whom the trading partner certificate should be mapped when messages are sent by that trading partner.
`boolean` | `isDefaultPartner()` Indicates that this trading partner should be used as the default trading partner for sending or receiving messages for the local host system.
`boolean` | `isEnabled()` Internal Use Only - Retrieves the TPM Interface.
`void` | `removeAllBindings()` Removes all the bindings for this trading partner
`void` | `removeAllExtendedPropertySet()` Removes all the Extended PropertySets configured for this trading partner
`void` | `removeBinding(String name)` Deletes the binding for the trading partner, with the specified name
`void` | `removeCertificate(String name, boolean removeCertFromKeyStore)` Remove a certificate for the Trading Partner.
`void` | `removeExtendedPropertySet(String name)` Remove a custom extensions for the trading partner
`void` | `removeReferenceForBinding(BindingMBean mbean)` Internal Use Only - Removes the binding
`BindingMBean[]` | `retrieveAllBindings()` Returns all the bindings configured for the Trading Partner.
`CertificateMBean[]` | `retrieveAllCertificates()` Returns an all the certificateMBean's configured for the trading partner.
`EBXMLBindingMBean[]` | `retrieveAllEbXmlBindings()` Retrieves all Ebxml Bindings configured for the Trading Partner.
`ExtendedPropertySetMBean[]` | `retrieveAllExtendedPropertySets()` Retrieves all Extended Property Sets for the Trading Partner.
`RosettaNetBindingMBean[]` | `retrieveAllRosettaNetBindings()` Retrieves all RosettaNet Bindings configured for the Trading Partner .
`WebServiceBindingMBean[]` | `retrieveAllWebServiceBindings()` Retrieves all Web Service Bindings for the Trading Partner.
`BindingMBean` | `retrieveBindingByName(String name)` Retrieves an instance of a Binding for the Trading Partner.
`Certificate` | `retrieveCertificate(String name)` Retrieves the X509 certificate from the Key Store, for the alias
`CertificateMBean` | `retrieveCertificateByName(String name)` Retrieves a particular certificateMBean for a trading partner, which is identified by name.
`CertificateMBean[]` | `retrieveCertificatesByType(String type)` Returns an all the matching certificateMBean's of the type specified configured for the trading partner.
`EBXMLBindingMBean` | `retrieveDefaultEbxmlBinding(String version)` Retrieves the default Ebxml binding instance
`RosettaNetBindingMBean` | `retrieveDefaultRNBinding(String version)` Retrieves the default RosettaNet binding instance
`EBXMLBindingMBean` | `retrieveEBXMLBinding(String name)` Retrieves an instance of EBXML Binding identified name
`ExtendedPropertySetMBean` | `retrieveExtendedPropertySet(String name)` Returns the instance of the Extended Property Se, identified by name
`RosettaNetBindingMBean` | `retrieveRosettaNetBinding(String name)` Returns an instance of RosettaNet Binding identified by name
`TradingPartnerMgmtMBean` | `retrieveTradingPartnerMgmt()` Internal Use Only - Retrieves the TPM Interface.
`WebServiceBindingMBean` | `retrieveWebServiceBinding(String name)` Retrieves the instance of WebService Binding indentified by name
`void` | `setAddress(String newValue)` Contact address of the trading partner
`void` | `setBusinessId(String newValue)` Registers the business ID is used with a trading partner name to identify a party in message exchange.
`void` | `setBusinessIdType(String newValue)` Meaningful name for the business ID.
`void` | `setDefaultPartner(boolean newValue)` Represents this trading partner, to be the default trading partner.
`void` | `setDescription(String newValue)` Specifies the description for this trading partner
`void` | `setEmail(String newValue)` Registers the email of the trading partner
`void` | `setFax(String newValue)` Fax number for the trading partner.
`void` | `setNotes(String newValue)` Registers the additional textual documentation
`void` | `setPartnerName(String newValue)` Registers the name of this trading partner.
`void` | `setPartnerType(String newValue)` Registers where the trading partner is hosted locally or represents an external remote trading partner
`void` | `setPhone(String newValue)` Registers the contact phone number of the trading partner
`void` | `setStatus(String newValue)` Registers the status of the current partner profile.
`void` | `setWLUserName(String newValue)` Registers the aame of the WebLogic Server users to whom the trading partner certificate should be mapped when messages are sent by that trading partner.
`void` | `updateAll(String businessId, String businessIdType, boolean isDefault, String status, String type, String description, String notes, String address, String fax, String phone, String email, String userName)` Updates the trading partner

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### LOCAL

    public static final String LOCAL

See Also:
  Constant Field Values

### REMOTE

    public static final String REMOTE

See Also:
  Constant Field Values

### ENABLED

    public static final String ENABLED

See Also:
  Constant Field Values

### DISABLED

    public static final String DISABLED

See Also:
  Constant Field Values

Method Detail

### getPartnerName

    public String getPartnerName()

  Returns the name of this Trading Partner.

  Returns:
    Name of the Trading Partner.

### setPartnerName

    public void setPartnerName(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Registers the name of this trading partner. The name must be unique. The name can be max of 254 characters and cannot be null. The name must not have any blank spaces.

  Parameters:
    `newValue` - - the name of the set
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the name cannot be set or the name has invalid characters.

### getDescription

    public String getDescription()

  Retrieves the short textual description of this entity.

  Returns:
    - description text or null if not specified

### setDescription

    public void setDescription(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Specifies the description for this trading partner

  Parameters:
    `newValue` - - description text, can be null
  Throws:
    `javax.management.InvalidAttributeValueException`

### getNotes

    public String getNotes()

  Retrieves the additional description to of this entity.

  Specified by:
    `getNotes` in interface `weblogic.management.configuration.ConfigurationMBean`
  Returns:
    - text or null if not specified

### setNotes

    public void setNotes(String newValue)
                  throws javax.management.InvalidAttributeValueException

  Registers the additional textual documentation

  Specified by:
    `setNotes` in interface `weblogic.management.configuration.ConfigurationMBean`
  Parameters:
    `newValue` - - the text to specify
  Throws:
    `javax.management.InvalidAttributeValueException`

### getPartnerType

    public String getPartnerType()

  Specifies where the trading partner is hosted locally or represents an external remote trading partner. The possible types are

  - LOCAL
  - REMOTE
  Default for a trading partner is REMOTE

### setPartnerType

    public void setPartnerType(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Registers where the trading partner is hosted locally or represents an external remote trading partner

  Parameters:
    `newValue` - - type of partner
  Throws:
    `javax.management.InvalidAttributeValueException` - - If not one of the types specified

### isDefaultPartner

    public boolean isDefaultPartner()

  Indicates that this trading partner should be used as the default trading partner for sending or receiving messages for the local host system. This attribute can only be set to true if the type attribute is LOCAL. Only one LOCAL type trading partner can have this value set to true

  Returns:
    - true if it is the default trading partner - false if not

### setDefaultPartner

    public void setDefaultPartner(boolean newValue)
                           throws javax.management.InvalidAttributeValueException

  Represents this trading partner, to be the default trading partner. This can only be set for if the type attribute for the trading partner is LOCAL.

  Parameters:
    `newValue` - - new value for attribute Default
  Throws:
    `javax.management.InvalidAttributeValueException`

### getEmail

    public String getEmail()

  Specifies the email address of the trading partner

  Returns:
    email of trading partner or null if not defined

### setEmail

    public void setEmail(String newValue)
                  throws javax.management.InvalidAttributeValueException

  Registers the email of the trading partner

  Parameters:
    `newValue` - - email id of tp
  Throws:
    `javax.management.InvalidAttributeValueException`

### getAddress

    public String getAddress()

  Contact address of the trading partner

  Returns:
    contact address of the partner or null if not defined

### setAddress

    public void setAddress(String newValue)
                    throws javax.management.InvalidAttributeValueException

  Contact address of the trading partner

  Parameters:
    `newValue` - - the address information
  Throws:
    `javax.management.InvalidAttributeValueException`

### getPhone

    public String getPhone()

  Contact phone number of the trading partner

  Returns:
    phone number of the partner or null is if not defined

### setPhone

    public void setPhone(String newValue)
                  throws javax.management.InvalidAttributeValueException

  Registers the contact phone number of the trading partner

  Parameters:
    `newValue` - - new value for attribute Phone
  Throws:
    `javax.management.InvalidAttributeValueException`

### getFax

    public String getFax()

  Fax number for the trading partner

  Returns:
    fax number of the partner or null is if not defined

### setFax

    public void setFax(String newValue)
                throws javax.management.InvalidAttributeValueException

  Fax number for the trading partner.

  Parameters:
    `newValue` - - fax number of the trading partner
  Throws:
    `javax.management.InvalidAttributeValueException`

### getStatus

    public String getStatus()

  Specifies the status of the current partner profile. Status of the profile. Status can be either

  - ENABLED - Enabled to receive business messages from the partners specified by this partner profile
  - DISABLED - WLI will not be able to receive and process business messages for the partners specified in this profile

### isEnabled

    public boolean isEnabled()

  Internal Use Only - Retrieves the TPM Interface.

### setStatus

    public void setStatus(String newValue)
                   throws javax.management.InvalidAttributeValueException

  Registers the status of the current partner profile. Status of the profile. Status can be either

  - ENABLED - Enabled to receive business messages from the partners specified by this profile
  - DISABLED - WLI will not be able to receive and process business messages for the partners specified in this profile

  Parameters:
    `newValue` - - new value for attribute Status
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the status is not one of the above

### getWLUserName

    public String getWLUserName()

  Name of the WebLogic Server users to whom the trading partner certificate should be mapped when messages are sent by that trading partner. A Weblogic user account should be created, with the same name for this purpose.

  Returns:
    username or null is if not defined

### setWLUserName

    public void setWLUserName(String newValue)
                       throws javax.management.InvalidAttributeValueException

  Registers the aame of the WebLogic Server users to whom the trading partner certificate should be mapped when messages are sent by that trading partner.

  Parameters:
    `newValue` - - user name
  Throws:
    `javax.management.InvalidAttributeValueException`

### getBusinessId

    public String getBusinessId()

  A business ID is used with a trading partner name to identify a party in message exchange. Unique, descriptive party ID composed of any combination of character.

  Returns:
    - business id of the partner

### setBusinessId

    public void setBusinessId(String newValue)
                       throws javax.management.InvalidAttributeValueException

  Registers the business ID is used with a trading partner name to identify a party in message exchange.

  Parameters:
    `newValue` - - new value for attribute BusinessId
  Throws:
    `javax.management.InvalidAttributeValueException`

### getBusinessIdType

    public String getBusinessIdType()

  Meaningful name for the business ID. For example, a company's Dun & Bradstreet number.

  Returns:
    businessid of the partner or null is if not defined

### setBusinessIdType

    public void setBusinessIdType(String newValue)
                           throws javax.management.InvalidAttributeValueException

  Meaningful name for the business ID. For example, a company's Dun & Bradstreet number.

  Parameters:
    `newValue` - - business id type
  Throws:
    `javax.management.InvalidAttributeValueException`

### enable

    public void enable()
                throws ConfigurationException

  Internal Use Only - Retrieves the TPM Interface.

  Throws:
    `ConfigurationException`

### disable

    public void disable()
                 throws ConfigurationException

  Internal Use Only - Retrieves the TPM Interface.

  Throws:
    `ConfigurationException`

### addExtendedPropertySet

    public void addExtendedPropertySet(String name,
                                       String description,
                                       String notes,
                                       String xml)
                                throws ConfigurationException,
                                       javax.management.InstanceAlreadyExistsException

  Adds a custom XML extensions for the TPM. This can be any free form XML that can be used to define special conditions for processing a trading partner requests

  Parameters:
    `name` - - name of property set
    `description` - - short description property set
    `notes` - - additional textual information for property set
    `xml` - - Custom of the XML
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### addExtendedPropertySetInternal

    public void addExtendedPropertySetInternal(String name,
                                               String description,
                                               String notes,
                                               Element xml)
                                        throws ConfigurationException,
                                               javax.management.InstanceAlreadyExistsException

  Parameters:
    `name` - - name of property set
    `description` - - short description property set
    `notes` - - additional textual information for property set
    `xml` - - root element of the custom XML
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### removeExtendedPropertySet

    public void removeExtendedPropertySet(String name)
                                   throws DeleteException,
                                          javax.management.InstanceNotFoundException

  Remove a custom extensions for the trading partner

  Parameters:
    `name` - - name of property set
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException`

### addCertificate

    public void addCertificate(String name,
                               String type,
                               String password,
                               boolean passwordEncrypted,
                               String passwordAlias,
                               String certFile,
                               String keyFile,
                               boolean importInKeyStore)
                        throws ConfigurationException,
                               javax.management.InstanceAlreadyExistsException

  Add a certificate for the Trading Partner.

  Parameters:
    `name` - - Name of the certificate. This name would be the alias of the certificate in Java Key Store
    `type` - - Type of the certificate. Possible types are 'SIGNATURE','ENCRYPTION', 'SERVER', 'CLIENT'
    `password` - - No longer used. Provided value is ignored.
    `passwordEncrypted` - - No longer used. Provided value is ignored.
    `passwordAlias` - - alias name in password store
    `certFile` - - Absolute file location on the file system. This can be null. In this case, no certificate would be imported to the key store. The certificate could be imported at a later stage, using the CertificateMBean.
    `keyFile` - - Absolute file location of the private key for the certificate. if this is specified then certFile must also be provided.
    `importInKeyStore` - - Should the certificate be imported in keystore
  Throws:
    `ConfigurationException` - - If unable to load the certificate into keystore, or the url is malformed.
    `javax.management.InstanceAlreadyExistsException` - - If a CertificateMBean object already exists.

### removeCertificate

    public void removeCertificate(String name,
                                  boolean removeCertFromKeyStore)
                           throws DeleteException,
                                  javax.management.InstanceNotFoundException

  Remove a certificate for the Trading Partner. This does not delete the certificate from the keystore. This method does not delete/remove the certificate from Key Store, only removes the reference

  Parameters:
    `name` - - Name of the certificate alias in Java Key Store
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException`

### retrieveCertificatesByType

    public CertificateMBean[] retrieveCertificatesByType(String type)
                                                  throws ManagementException

  Returns an all the matching certificateMBean's of the type specified configured for the trading partner.

  Possible types are

  - CLIENT
  - SERVER
  - ENCRYPTION
  - SIGNATURE

  Parameters:
    `type` - - the certificate type
  Throws:
    `ManagementException`

### retrieveAllCertificates

    public CertificateMBean[] retrieveAllCertificates()
                                               throws ManagementException

  Returns an all the certificateMBean's configured for the trading partner. All types of certificates whether SIGNATURE, CLIENT, ENCRYPTION or SERVER are returned. For trading partners of type LOCAL, the SERVER certificateMBean is not returned.

  Throws:
    `ManagementException`

### retrieveCertificateByName

    public CertificateMBean retrieveCertificateByName(String name)
                                               throws ManagementException,
                                                      javax.management.InstanceNotFoundException

  Retrieves a particular certificateMBean for a trading partner, which is identified by name. The name of the certificateMBean is also the alias of the certificate in the Java Key Store

  Parameters:
    `name` - - the alias of certificate
  Throws:
    `ManagementException` - - If errror in lookup
    `javax.management.InstanceNotFoundException` - - If no certificate, with name exists

### retrieveCertificate

    public Certificate retrieveCertificate(String name)
                                    throws ManagementException,
                                           javax.management.InstanceNotFoundException

  Retrieves the X509 certificate from the Key Store, for the alias

  Parameters:
    `name` - - Name of the certificate alias in Java Key Store
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException` - - If no certificate with alias exists

### retrieveTradingPartnerMgmt

    public TradingPartnerMgmtMBean retrieveTradingPartnerMgmt()
                                                       throws ManagementException

  Internal Use Only - Retrieves the TPM Interface.

  Throws:
    `ManagementException`

### addEBXMLBinding

    public void addEBXMLBinding(String name,
                                String businessProtocolName,
                                String businessProtocolVersion,
                                boolean isDefault,
                                boolean isSignatureRequired,
                                boolean isReceiptSignatureRequired,
                                String deliverySematics,
                                int retryCount,
                                String retryInterval,
                                String persistDuration)
                         throws ConfigurationException,
                                javax.management.InstanceAlreadyExistsException

  Adds a EBXML Binding for this Trading Partner

  Parameters:
    `name` - - name of the binding
    `businessProtocolName` - - business procotol
    `businessProtocolVersion` - - version of this buisness Protocol
    `isDefault` - - Is this the default binding
    `isSignatureRequired` - - Is signature required
    `isReceiptSignatureRequired` - - Is Receipt Signature signature required
    `deliverySematics` - - Delivery Sematics
    `retryCount` - - Retry Count
    `retryInterval` - - retryInterval in 0y0m0dt0h0m0s
    `persistDuration` - - Persist Duration in 0y0m0dt0h0m0s
  Throws:
    `ConfigurationException` - - If unable to add binding
    `javax.management.InstanceAlreadyExistsException` - - If binding wuith name already exists
  See Also:
    `EBXMLBindingMBean`

### addRosettaNetBinding

    public void addRosettaNetBinding(String name,
                                     String businessProtocolName,
                                     String businessProtocolVersion,
                                     boolean isDefault,
                                     boolean isSignatureRequired,
                                     boolean isReceiptSignatureRequired,
                                     String messageDigestAlgorithm,
                                     String ciperAlgorithm,
                                     String encryptionLevel,
                                     int retryCount,
                                     String retryInterval,
                                     String processTimeout)
                              throws ConfigurationException,
                                     javax.management.InstanceAlreadyExistsException

  Adds a Rosettanet Binding for this Trading Partner

  Parameters:
    `name` - - Name of the binding
    `businessProtocolName` - - Name of the business procotol
    `businessProtocolVersion` - - Version of this buisness Protocol
    `isDefault` - - Is this the default binding
    `isSignatureRequired` - - Is signature required
    `isReceiptSignatureRequired` - - Is Receipt Signature signature required
    `ciperAlgorithm` - - ciper Algorithm
    `messageDigestAlgorithm` - - Message Digest Algorithm
    `encryptionLevel` - - encryptionLevel
    `retryCount` - - Retry Count
    `retryInterval` - - retryInterval in 0y0m0dt0h0m0s
    `processTimeout` - - Process Timeout in 0y0m0dt0h0m0s
  Throws:
    `ConfigurationException` - - If unable to add binding
    `javax.management.InstanceAlreadyExistsException` - - If binding wuith name already exists
  See Also:
    `RosettaNetBindingMBean`

### addWebServiceBinding

    public void addWebServiceBinding(String name)
                              throws ConfigurationException,
                                     javax.management.InstanceAlreadyExistsException

  Adds a WebService Binding for this trading parner

  Parameters:
    `name` - - Name of the binding
  Throws:
    `ConfigurationException` - - If unable to add binding
    `javax.management.InstanceAlreadyExistsException` - - If binding wuith name already exists

### removeBinding

    public void removeBinding(String name)
                       throws DeleteException,
                              javax.management.InstanceNotFoundException

  Deletes the binding for the trading partner, with the specified name

  Parameters:
    `name` - - Name of the binding
  Throws:
    `DeleteException` - - If unable to remove the binding
    `javax.management.InstanceNotFoundException` - - If the binding, with the name does not exists

### removeReferenceForBinding

    public void removeReferenceForBinding(BindingMBean mbean)
                                   throws DeleteException,
                                          javax.management.InstanceNotFoundException

  Internal Use Only - Removes the binding

  Parameters:
    `mbean` - - binding object
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException`

### removeAllBindings

    public void removeAllBindings()
                           throws DeleteException

  Removes all the bindings for this trading partner

  Throws:
    `DeleteException`

### removeAllExtendedPropertySet

    public void removeAllExtendedPropertySet()
                                      throws DeleteException

  Removes all the Extended PropertySets configured for this trading partner

  Throws:
    `DeleteException`

### retrieveAllBindings

    public BindingMBean[] retrieveAllBindings()
                                       throws ManagementException

  Returns all the bindings configured for the Trading Partner. All instances of type WebServiceBindingMBean, EBXMLBindingMBean and RosettaNetBindingMBean are returned.

  Returns:
    array of all BindingMBean
  Throws:
    `ManagementException`
  See Also:
    `EBXMLBindingMBean`, `RosettaNetBindingMBean`, `WebServiceBindingMBean`

### retrieveBindingByName

    public BindingMBean retrieveBindingByName(String name)
                                       throws ManagementException

  Retrieves an instance of a Binding for the Trading Partner.

  Returns:
    binding mbean instance, `null`is returned if binding with name does not exists``
  Throws:
    `ManagementException` - - If the instance with name does not exists

### retrieveAllEbXmlBindings

    public EBXMLBindingMBean[] retrieveAllEbXmlBindings()
                                                 throws ManagementException

  Retrieves all Ebxml Bindings configured for the Trading Partner.

  Returns:
    ebxml binding instance, `null`is returned if binding with name does not exists``
  Throws:
    `ManagementException`

### retrieveAllRosettaNetBindings

    public RosettaNetBindingMBean[] retrieveAllRosettaNetBindings()
                                                           throws ManagementException

  Retrieves all RosettaNet Bindings configured for the Trading Partner .

  Returns:
    rosettanet mbean instance, `null`is returned if binding with name does not exists``
  Throws:
    `ManagementException`

### retrieveAllWebServiceBindings

    public WebServiceBindingMBean[] retrieveAllWebServiceBindings()
                                                           throws ManagementException

  Retrieves all Web Service Bindings for the Trading Partner.

  Returns:
    aaray of all web service binding instances
  Throws:
    `ManagementException`

### retrieveAllExtendedPropertySets

    public ExtendedPropertySetMBean[] retrieveAllExtendedPropertySets()
                                                               throws ManagementException

  Retrieves all Extended Property Sets for the Trading Partner.

  Returns:
    array of all extended property set instances.
  Throws:
    `ManagementException`

### retrieveEBXMLBinding

    public EBXMLBindingMBean retrieveEBXMLBinding(String name)
                                           throws ManagementException

  Retrieves an instance of EBXML Binding identified name

  Parameters:
    `name` - - name of Binding, `null`is returned if binding with name does not exists``
  Throws:
    `ManagementException`

### retrieveRosettaNetBinding

    public RosettaNetBindingMBean retrieveRosettaNetBinding(String name)
                                                     throws ManagementException

  Returns an instance of RosettaNet Binding identified by name

  Parameters:
    `name` - - name of Binding, `null`is returned if binding with name does not exists``
  Throws:
    `ManagementException`

### retrieveWebServiceBinding

    public WebServiceBindingMBean retrieveWebServiceBinding(String name)
                                                     throws ManagementException

  Retrieves the instance of WebService Binding indentified by name

  Parameters:
    `name` - - name of Binding, `null`is returned if binding with name does not exists``
  Throws:
    `ManagementException`

### retrieveExtendedPropertySet

    public ExtendedPropertySetMBean retrieveExtendedPropertySet(String name)
                                                         throws ManagementException

  Returns the instance of the Extended Property Se, identified by name

  Parameters:
    `name` - - name of extended property set, `null`is returned if name does not exists``
  Throws:
    `ManagementException`

### addReferenceToEBXMLBinding

    public void addReferenceToEBXMLBinding(EBXMLBindingMBean mbean)
                                    throws ConfigurationException,
                                           javax.management.InstanceAlreadyExistsException

  Internal Use Only - Adds a ebxml Binding

  Parameters:
    `mbean` - - Ebxml Binding MBean
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### addReferenceToRosettaNetBinding

    public void addReferenceToRosettaNetBinding(RosettaNetBindingMBean mbean)
                                         throws ConfigurationException,
                                                javax.management.InstanceAlreadyExistsException

  Internal Use Only - Adds a RosettaNet Binding

  Parameters:
    `mbean` - - Rosettanet Binding MBean
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### addReferenceToWebServiceBinding

    public void addReferenceToWebServiceBinding(WebServiceBindingMBean mbean)
                                         throws ConfigurationException,
                                                javax.management.InstanceAlreadyExistsException

  Internal Use Only - Adds a Web Service Binding

  Parameters:
    `mbean` - - Web Service Binding MBean
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### retrieveDefaultRNBinding

    public RosettaNetBindingMBean retrieveDefaultRNBinding(String version)
                                                    throws ManagementException,
                                                           javax.management.InstanceNotFoundException

  Retrieves the default RosettaNet binding instance

  Parameters:
    `version` - - protocol version, valid values are 1.1 and 2.0
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### retrieveDefaultEbxmlBinding

    public EBXMLBindingMBean retrieveDefaultEbxmlBinding(String version)
                                                  throws ManagementException,
                                                         javax.management.InstanceNotFoundException

  Retrieves the default Ebxml binding instance

  Parameters:
    `version` - - protocol version, valid values are 1.0 and 2.0
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### updateAll

    public void updateAll(String businessId,
                          String businessIdType,
                          boolean isDefault,
                          String status,
                          String type,
                          String description,
                          String notes,
                          String address,
                          String fax,
                          String phone,
                          String email,
                          String userName)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates the trading partner

  Parameters:
    `businessId` - - business-id of party identifier to be used
    `businessIdType` - - business-id Type of party identifier to be used
    `isDefault` - - Is the trading Partner Default
    `type` - - Type of Trading Partner(LOCAL or REMOTE)
    `description` - - Description
    `notes` - - Notes
    `address` - - Address
    `fax` - - Fax Number
    `phone` - - Phone Number
    `email` - - Email Address
    `userName` - - WLS User Name
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD